package outlet

import (
	"log"

	"git.openpdu.org/OpenPDU/openpdu/board"
)

type Outlet struct {
	ID          string
	Num         uint
	Description string
	Channel     board.Channel
}

var Outlets []*Outlet

func (o *Outlet) Dump() {
	log.Printf("Outlet %v: channel name: %v\n", o.Num, o.Channel.Name())
}
